Package: org.codehaus.groovy.ast.stmt

## [Java] Class IfStatement

- org.codehaus.groovy.ast.stmt.IfStatement

-     public class IfStatement
      extends Statement

  Represents an if (condition) { ... } else { ... } statement in Groovy

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BooleanExpression` | `getBooleanExpression()`
    `` | `public Statement` | `getElseBlock()`
    `` | `public Statement` | `getIfBlock()`
    `` | `public void` | `setBooleanExpression(BooleanExpression booleanExpression)`
    `` | `public void` | `setElseBlock(Statement statement)`
    `` | `public void` | `setIfBlock(Statement statement)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, cancel, getConnection, isClosed, getResultSetConcurrency, setEscapeProcessing, getLargeUpdateCount, getResultSetHoldability, enquoteNCharLiteral, isCloseOnCompletion, setQueryTimeout, clearWarnings, getWarnings, getFetchDirection, getFetchSize, setFetchDirection, setFetchSize, getResultSet, getResultSetType, setMaxFieldSize, getMaxRows, setMaxRows, getQueryTimeout, getMaxFieldSize, setCursorName, getUpdateCount, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getMoreResults, getMoreResults, setPoolable, executeLargeBatch, enquoteIdentifier, executeBatch, addBatch, getGeneratedKeys, setLargeMaxRows, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, isSimpleIdentifier, closeOnCompletion, enquoteLiteral, clearBatch, isPoolable, getLargeMaxRows, unwrap, isWrapperFor`

- - ### Constructor Detail

    - #### public IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)

  - ### Method Detail

    - #### public BooleanExpression getBooleanExpression()

    - #### public Statement getElseBlock()

    - #### public Statement getIfBlock()

    - #### public void setBooleanExpression(BooleanExpression booleanExpression)

    - #### public void setElseBlock(Statement statement)

    - #### public void setIfBlock(Statement statement)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)